Skip to main content
Before you start accepting payments, test your Rocka integration to make sure everything’s working as intended.

Test your integration

1

Make a test API call

  1. Go to your Rocka Hub > Integration. You’ll find your test API key under Test credentials.
  2. To verify your site is connected to Rocka, make a test API call with your sandbox key. For example, you can try the Get the list of top banks endpoint.
2

Create your first payment in sandbox mode

Try creating your first payment with your test API key using the POST /api/payments endpoint.The response will include the url parameter, which is the payment link:
Sample response
3

Place the test payment

To make a test payment, follow the steps below. This payment flow will be the same for your customers.
  1. Open the link in the url parameter. If you’re located in one of the supported locales, Rocka will automatically detect your country and offer local banks. You can also change the country using the dropdown list in the top-right.
  2. For most locales, you will be prompted for a local IBAN. You can use one of the test IBANs provided below. Once you enter the IBAN, click Proceed to payment → Go to bank.

    For some banks, you can also ignore the prompt and click Don’t remember your IBAN? at the bottom of the form. Next, click Connect to your bank account → Go to Bank Europe, which will send you directly to the test bank website.
  3. On the test bank login form, you can enter these usernames to trigger a specific payment status. Once you enter the username, click ContinueYes, I agree.
  4. Select any of the test bank accounts. Click Go to bank and log in to the test bank website again. For real payments, your customers will be redirected to their bank app to confirm the payment on this step.
4

Process the callback

Once the payment goes through, you will receive a callback to the webhookUrl you specified in your request. You will also see the payment in the Transactions section in your Rocka Hub.To see other callbacks you can potentially receive for other payment statuses, see Callbacks.
Last modified on August 17, 2026